Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=vancouver&country_abbreviation=ca&has_private_outdoor_swimming_pool_eq=true&page=1&property_type_eq=House&province_abbreviation=bc&results_per_page=5&select=address,estimate_list_price,interior_sq_m,land_area_sq_m,bedroom,bathroom_full"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'vancouver');
url.searchParams.set('country_abbreviation', 'ca');
url.searchParams.set('has_private_outdoor_swimming_pool_eq', 'true');
url.searchParams.set('page', '1');
url.searchParams.set('property_type_eq', 'House');
url.searchParams.set('province_abbreviation', 'bc');
url.searchParams.set('results_per_page', '5');
url.searchParams.set('select', 'address,estimate_list_price,interior_sq_m,land_area_sq_m,bedroom,bathroom_full');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": false,
"cost_cents": 2.6,
"data": [
{
"address": "5762 Churchill Street",
"bathroom_full": 5,
"bedroom": 6,
"estimate_list_price": 6825261,
"interior_sq_m": 323.11664,
"land_area_sq_m": 1208.9009,
"property_id": "1d2603e1d81602ff"
},
{
"address": "2025 SW Marine Drive",
"bathroom_full": 5,
"bedroom": 4,
"estimate_list_price": 4181539,
"interior_sq_m": 695.0948,
"land_area_sq_m": 1672.2548,
"property_id": "340660331f5c847"
},
{
"address": "2055 W 53 Avenue",
"bathroom_full": 5,
"bedroom": 6,
"estimate_list_price": 4077412,
"interior_sq_m": 377.0903,
"land_area_sq_m": 645.3045,
"property_id": "3a09c1667c31001f"
},
{
"address": "1890 SW Marine Drive",
"bathroom_full": 5,
"bedroom": 3,
"estimate_list_price": 5467144,
"interior_sq_m": 404.03195,
"land_area_sq_m": 4011.4604,
"property_id": "45d599e31ccd23b0"
},
{
"address": "3287 W 55 Avenue",
"bathroom_full": 5,
"bedroom": 4,
"estimate_list_price": 5374526,
"interior_sq_m": 277.68488,
"land_area_sq_m": 705.1341,
"property_id": "519de40e871405be"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 104
},
"price_quote": false,
"result_total": 520,
"time_ms": 20,
"ui_info": {
"city": "Vancouver",
"city_id": "3d4b9ab2229768be",
"city_link": "ca/bc/vancouver",
"city_slug": "vancouver",
"country": "Canada",
"country_abbreviation": "CA",
"country_abbreviation_id": "9ace2b6431b7f1be",
"country_abbreviation_link": "ca",
"country_slug": "canada",
"province": "British Columbia",
"province_abbreviation": "BC",
"province_abbreviation_id": "84b27e64bc119a2",
"province_abbreviation_link": "ca/bc",
"province_slug": "british_columbia"
}
}